Package picard.illumina.parser.readers

## Class BarcodeFileReader

- java.lang.Object
- - picard.illumina.parser.readers.BarcodeFileReader

- All Implemented Interfaces:
    `htsjdk.samtools.util.CloseableIterator<String>`, `Closeable`, `AutoCloseable`, `Iterator<String>`

      public class BarcodeFileReader
      extends Object
      implements htsjdk.samtools.util.CloseableIterator<String>

  Reads a single barcode file line by line and returns the barcode if there was a match or NULL otherwise. Barcode.txt file Format (consists of tab delimited columns, 1 record per row) sequence_read Matched(Y/N) BarcodeSequenceMatched sequence read - the actual bases at barcode position Matched(y/n) - Y or N indicating if there was a barcode match BarcodeSequenceMatched - matched barcode sequence (empty if read did not match one of the barcodes).

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BarcodeFileReader​(File barcodeFile)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `boolean` | `hasNext()` |
    `String` | `next()` |
    `void` | `remove()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface htsjdk.samtools.util.CloseableIterator

      `stream, toList`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### BarcodeFileReader

          public BarcodeFileReader​(File barcodeFile)

  - ### Method Detail

    - #### next

          public String next()

      Specified by:
        `next` in interface `Iterator<String>`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<String>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<String>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `htsjdk.samtools.util.CloseableIterator<String>`